﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ParseXAML
{
    public class Message
    {
        public enum eType { Information = 0, Warning = 1, Error = 2, Nothing = 3 };

        public eType Type { get; set; }
        public string Display { get; set; }

        public Message(eType type, string display)
        {
            this.Type = type;
            this.Display = display;
        }
    }

    public class MessageEventArgs : EventArgs
    {
        public MessageEventArgs(Message message)
        {
            this.Message = message;
        }

        public Message Message { get; set; }
    }

}
